Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.jws
Interface CallbackInterface

All Superinterfaces:
  Serializable

    public interface CallbackInterface

extends Serializable

Weblogic specific stub functionality for callback stub.

Field Summary
`static long` | `serialVersionUID`

Method Summary
`String` | `getConversationID()` This method retrieves the conversation id from the stub
`URL` | `getEndPoint()` Deprecated. use the getEndpointAddress() method instead
`String` | `getEndpointAddress()` Gets the endpoint address that the callback instance will use as the base URL.
`Element[]` | `getInputHeaders()` Tthis method returns the input headers from the stub
`String` | `getPassword()` Retrieves the password string that was set by the most recent call to the setPassword method.
`Protocol` | `getProtocol()` Deprecated.
`int` | `getTimeout()` Gets the timeout that has been set by setTimeout() for the underlying HttpURLConnection, in milliseconds.
`String` | `getUsername()` Retrieves the username string that was set by the most recent call to setUsername.
`void` | `reset()` Clears all parameters that were set by previous calls to the setOutputHeaders, setPassword, or setUsername methods.
`void` | `setClientCert(String alias, String password)` Specifies the information to look up the client certificate when using 2-way SSL.
`void` | `setEndPoint(URL url)` Deprecated. use the setEndpointAddress() method instead
`void` | `setEndpointAddress(String url)` Provides manual control over the end point address
`void` | `setKeystore(String location, String password)` Specifies the keystore information (including type) to use when using client certificates with Secure Sockets Layer (SSL).
`void` | `setKeystore(String location, String password, String type)` Specifies the keystore information (including type) to use when using client certificates with Secure Sockets Layer (SSL).
`void` | `setOutputHeaders(Element[] headers)` This method sets the output headers on the stub so that they will be sent with the next outbound message
`void` | `setPassword(String password)` Sets the password that will be sent with the next outgoing callback Web Service method invocation.
`void` | `setProtocol(Protocol protocol)` Deprecated. This method cannot be used to pick a callback endpoint address with the callback protocol. If you wish to do this please use the setEndpointAddress api
`void` | `setTimeout(int timeout)` Sets the timeout for the underlying HttpURLConnection in milliseconds.
`void` | `setTruststore(String location, String password)` Set the trust-store to use to validate the server using SSL.
`void` | `setTruststore(String location, String password, String type)` Set the trust-store to use to validate the server using SSL.
`void` | `setUsername(String username)` Sets the username that will be sent with the next outgoing Web callback method invocation.
`void` | `useClientKeySSL(boolean b)` Specifies whether a client certificate should be used with Secure Sockets Layer (SSL).

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Method Detail

### getConversationID

    String getConversationID()

  This method retrieves the conversation id from the stub

  Returns:
    returns the conversation id

### setEndPoint

    void setEndPoint(URL url)

  Deprecated. use the setEndpointAddress() method instead

  Provides manual control over URL of the target service.

  Parameters:
    `url` - The new destination for callbacks.

### getEndPoint

    URL getEndPoint()

  Deprecated. use the getEndpointAddress() method instead

  Gets the URL that the callback instance will use as the base URL.

  Returns:
    The URL that will be used.

### setEndpointAddress

    void setEndpointAddress(String url)

  Provides manual control over the end point address

  Parameters:
    `url` - The new destination for callbacks.

### getEndpointAddress

    String getEndpointAddress()

  Gets the endpoint address that the callback instance will use as the base URL.

  Returns:
    The address that will be used.

### setUsername

    void setUsername(String username)

  Sets the username that will be sent with the next outgoing Web callback method invocation. Used if the Web Service control uses HTTP basic authentication.

  Parameters:
    `username` - The username to send for authentication.

### setPassword

    void setPassword(String password)

  Sets the password that will be sent with the next outgoing callback Web Service method invocation. Used if the Web Service control uses HTTP basic authentication.

  Parameters:
    `password` - The password to send for authentication.

### getUsername

    String getUsername()

  Retrieves the username string that was set by the most recent call to setUsername.

  Returns:
    The username set by the setUsername method.

### getPassword

    String getPassword()

  Retrieves the password string that was set by the most recent call to the setPassword method.

  Returns:
    The password set by the setPassword method.

### setProtocol

    void setProtocol(Protocol protocol)

  Deprecated. This method cannot be used to pick a callback endpoint address with the callback protocol. If you wish to do this please use the setEndpointAddress api

  Specifies the protocol to use for messages sent to the target web service. This method is not supported for callbacks.

  Parameters:
    `protocol` - The protocol to use.

### getProtocol

    Protocol getProtocol()

  Deprecated.

  Returns a Protocol object representing the protocol to use when sending messages to the target web service.

  Returns:
    The protocol that will be used.

### setTimeout

    void setTimeout(int timeout)

  Sets the timeout for the underlying HttpURLConnection in milliseconds. The default is 0, meaning no timeout. Negative values are converted to 0.

### getTimeout

    int getTimeout()

  Gets the timeout that has been set by setTimeout() for the underlying HttpURLConnection, in milliseconds. A value of 0 means no timeout.

### getInputHeaders

    Element[] getInputHeaders()

  Tthis method returns the input headers from the stub

  Returns:
    org.w3c.dom.Element for the header of the last message recieved

### setOutputHeaders

    void setOutputHeaders(Element[] headers)

  This method sets the output headers on the stub so that they will be sent with the next outbound message

  Parameters:
    `headers` - - set the methods on the header

### setClientCert

    void setClientCert(String alias,
                       String password)

  Specifies the information to look up the client certificate when using 2-way SSL.

  Parameters:
    `alias` - The path to the keystore (JKS) file.
    `password` - The password for the keystore.

### setKeystore

    void setKeystore(String location,
                     String password)

  Specifies the keystore information (including type) to use when using client certificates with Secure Sockets Layer (SSL). The default keystore is the WebLogic Server system-identity keystore. Use the default keystore which is Java KeyStore (JKS).

  Parameters:
    `location` - The path to the keystore (JKS) file.
    `password` - The password for the keystore.

### setKeystore

    void setKeystore(String location,
                     String password,
                     String type)

  Specifies the keystore information (including type) to use when using client certificates with Secure Sockets Layer (SSL). The default keystore is the WebLogic Server system-identity keystore. Use the type parameters to specify a keystore type other than the default, which is Java KeyStore (JKS).

  Parameters:
    `location` - The path to the keystore (JKS) file.
    `password` - The password for the keystore.
    `type` - The type of keystore to use.

### setTruststore

    void setTruststore(String location,
                       String password)

  Set the trust-store to use to validate the server using SSL. Keystore type JKS is used.

  Parameters:
    `location` - the file path to the trust-store file.
    `password` - the trust-store password.
    `type` - the type of trust-store.

### setTruststore

    void setTruststore(String location,
                       String password,
                       String type)

  Set the trust-store to use to validate the server using SSL.

  Parameters:
    `location` - the file path to the trust-store file.
    `password` - the trust-store password.
    `type` - the type of trust-store. Default is JKS.

### reset

    void reset()

  Clears all parameters that were set by previous calls to the setOutputHeaders, setPassword, or setUsername methods.

### useClientKeySSL

    void useClientKeySSL(boolean b)

  Specifies whether a client certificate should be used with Secure Sockets Layer (SSL).

  Parameters:
    `b` - `true` to use a client certificate; otherwise, `false`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD